public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Palimaka" <kensington@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: kde-apps/dolphin/
Date: Mon,  4 Jan 2016 18:12:24 +0000 (UTC)	[thread overview]
Message-ID: <1451931134.20f1b82d255b934f7dbf23b01c501b874110384e.kensington@gentoo> (raw)

commit:     20f1b82d255b934f7dbf23b01c501b874110384e
Author:     Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Mon Jan  4 17:58:44 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Mon Jan  4 18:12:14 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20f1b82d

kde-apps/dolphin: Add RDEPEND on kde-apps/konsolepart

 kde-apps/dolphin/dolphin-4.14.3-r1.ebuild | 59 +++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

diff --git a/kde-apps/dolphin/dolphin-4.14.3-r1.ebuild b/kde-apps/dolphin/dolphin-4.14.3-r1.ebuild
new file mode 100644
index 0000000..ae6d9f7
--- /dev/null
+++ b/kde-apps/dolphin/dolphin-4.14.3-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KDE_HANDBOOK="optional"
+KMNAME="kde-baseapps"
+inherit kde4-meta
+
+DESCRIPTION="A KDE filemanager focusing on usability"
+HOMEPAGE="https://dolphin.kde.org https://www.kde.org/applications/system/dolphin"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug semantic-desktop thumbnail"
+
+DEPEND="
+	$(add_kdebase_dep kactivities '' 4.13)
+	$(add_kdeapps_dep libkonq)
+	media-libs/phonon[qt4]
+	x11-libs/libXrender
+	semantic-desktop? (
+		$(add_kdebase_dep baloo)
+		$(add_kdeapps_dep baloo-widgets)
+		$(add_kdebase_dep kfilemetadata)
+	)
+"
+RDEPEND="${DEPEND}
+	$(add_kdeapps_dep kdebase-kioslaves)
+	$(add_kdeapps_dep kfind)
+	$(add_kdeapps_dep konsolepart)
+	thumbnail? (
+		$(add_kdeapps_dep thumbnailers)
+		|| (
+			$(add_kdeapps_dep ffmpegthumbs)
+			$(add_kdeapps_dep mplayerthumbs)
+		)
+	)
+"
+
+RESTRICT="test"
+# bug 393129
+
+src_configure() {
+	local mycmakeargs=(
+		$(cmake-utils_use_with semantic-desktop Baloo)
+		$(cmake-utils_use_with semantic-desktop BalooWidgets)
+		$(cmake-utils_use_with semantic-desktop KFileMetaData)
+	)
+
+	kde4-meta_src_configure
+}
+
+pkg_postinst() {
+	kde4-base_pkg_postinst
+
+	if ! has_version media-gfx/icoutils ; then
+		elog "For .exe file preview support, install media-gfx/icoutils."
+	fi
+}


             reply	other threads:[~2016-01-04 18:12 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-04 18:12 Michael Palimaka [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-07  5:41 [gentoo-commits] repo/gentoo:master commit in: kde-apps/dolphin/ Arthur Zamarin
2024-08-29 19:03 Andreas Sturmlechner
2024-08-29 15:48 Arthur Zamarin
2024-08-16 19:57 Arthur Zamarin
2024-08-16 19:37 Arthur Zamarin
2024-08-15 17:48 Andreas Sturmlechner
2024-08-15 17:48 Andreas Sturmlechner
2024-08-12 19:12 Andreas Sturmlechner
2024-01-03 21:55 Andreas Sturmlechner
2023-12-21 14:52 Andreas Sturmlechner
2023-12-17 23:02 Andreas Sturmlechner
2022-12-14 20:01 Andreas Sturmlechner
2022-11-01  5:34 WANG Xuerui
2022-03-03 14:54 Andreas Sturmlechner
2022-02-06 21:17 Andreas Sturmlechner
2022-02-06 21:17 Andreas Sturmlechner
2021-04-04 13:23 Andreas Sturmlechner
2021-01-23  0:25 Andreas Sturmlechner
2020-12-23 21:32 Andreas Sturmlechner
2020-05-20 15:33 Andreas Sturmlechner
2020-05-20 13:32 Mikle Kolyada
2020-05-20  9:50 Mikle Kolyada
2020-05-19 19:32 Mikle Kolyada
2020-02-15 13:43 Andreas Sturmlechner
2019-07-29 15:53 Aaron Bauman
2019-04-03 12:02 Andreas Sturmlechner
2018-12-01 17:00 Mikle Kolyada
2018-07-21 16:51 Andreas Sturmlechner
2018-05-24 13:27 Andreas Sturmlechner
2017-11-30  2:07 Thomas Deutschmann
2016-08-04 21:10 Maciej Mrozowski
2016-06-29 15:32 Michael Palimaka
2016-06-28 21:14 Michael Palimaka
2016-04-07 12:03 Michael Palimaka
2016-03-06 10:26 Mikle Kolyada
2016-03-05 12:06 Mikle Kolyada
2015-09-30 14:17 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1451931134.20f1b82d255b934f7dbf23b01c501b874110384e.kensington@gentoo \
    --to=kensington@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox